Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class HyperlinkEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.HyperlinkEvent

Direct Known Subclasses:
  HTMLFrameHyperlinkEvent

public class HyperlinkEvent
extends java.util.EventObject

HyperlinkEvent is used to notify interested parties that something has happened with respect to a hypertext link.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`static class` | `HyperlinkEvent.EventType` Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HyperlinkEvent(java.lang.Object source, HyperlinkEvent.EventType type, java.net.URL u)` Creates a new object representing a hypertext link event.
`HyperlinkEvent(java.lang.Object source, HyperlinkEvent.EventType type, java.net.URL u, java.lang.String desc)` Creates a new object representing a hypertext link event.

Method Summary
`java.lang.String` | `getDescription()` Get the description of the link as a string.
`HyperlinkEvent.EventType` | `getEventType()` Gets the type of event.
`java.net.URL` | `getURL()` Gets the URL that the link refers to.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyperlinkEvent

    public HyperlinkEvent(java.lang.Object source,
                          HyperlinkEvent.EventType type,
                          java.net.URL u)

  Creates a new object representing a hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `u` - the affected URL

### HyperlinkEvent

    public HyperlinkEvent(java.lang.Object source,
                          HyperlinkEvent.EventType type,
                          java.net.URL u,
                          java.lang.String desc)

  Creates a new object representing a hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `u` - the affected URL

Method Detail

### getEventType

    public HyperlinkEvent.EventType getEventType()

  Gets the type of event.
  Returns:
    the type

### getDescription

    public java.lang.String getDescription()

  Get the description of the link as a string. This may be useful if a URL can't be formed from the description, in which case the associated URL would be null.

### getURL

    public java.net.URL getURL()

  Gets the URL that the link refers to.
  Returns:
    the URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.